Step Test
curl --request POST \
--url https://api.zapier.com/v2/actions/{action_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"limit": 10,
"offset": 0,
"authentication": "example_QVaAreV1",
"inputs": {
"email": "me@example.com"
}
}
}
'import requests
url = "https://api.zapier.com/v2/actions/{action_id}/test"
payload = { "data": {
"limit": 10,
"offset": 0,
"authentication": "example_QVaAreV1",
"inputs": { "email": "me@example.com" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
limit: 10,
offset: 0,
authentication: 'example_QVaAreV1',
inputs: {email: 'me@example.com'}
}
})
};
fetch('https://api.zapier.com/v2/actions/{action_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"next": null,
"prev": null
},
"meta": {
"count": 1,
"limit": null,
"offset": 0
},
"data": [
{
"Description": "A response from some example third party API related to the action",
"Source": "RFC 8259",
"Image": {
"Width": 800,
"Height": 600,
"Title": "View from 15th Floor",
"Thumbnail": {
"Url": "https://www.example.com/image/481989943",
"Height": 125,
"Width": 100
},
"Animated": false,
"IDs": [
116,
943,
234,
38793
]
}
}
]
}{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Actions
Step Test
Tests the action (step) in the third party api, using the provided authentication and inputs.
When using OAuth
This endpoint requires the zap:write OAuth scope.
POST
/
v2
/
actions
/
{action_id}
/
test
Step Test
Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Path Parameters
An Action ID, as provided by the /actions endpoint.
Body
application/json
The request structure to test a particular Action
Show child attributes
Show child attributes
Response
Base Response definition to be used in other Response Serializers.
Be sure to include the data field after using this class
Was this page helpful?
⌘I